version: "3.5"
services:
  {{ wireguard_docker_instance }}:
    container_name: {{ wireguard_docker_instance }}
    image: ghcr.io/wg-easy/wg-easy:{{ wireguard_version }}
    environment:
      - "WG_HOST={{ wireguard_host | default( ansible_host )}}"
      - "PASSWORD={{ wireguard_ui_password }}"
      - "WG_ALLOWED_IPS={{ wireguard_allowed_cidr }}"
    volumes:
      - {{ wireguard_data_path }}:/etc/wireguard
    ports:
      - "{{ wireguard_port | default('51820') }}:51820/udp"
      - "{{ wireguard_host | default('0.0.0.0') }}:{{ wireguard_ui_port | default ('80') }}:51821/tcp"
    networks:
      - {{ wireguard_docker_network | default('wg_net') }}
    restart: {{ wireguard_docker_restart }}
    cap_add:
      - NET_ADMIN
      - SYS_MODULE
    sysctls:
      - net.ipv4.ip_forward=1
      - net.ipv4.conf.all.src_valid_mark=1
networks:
  {{ wireguard_docker_network | default('wg_net') }}:
